summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2016-11-26 17:12:16 +0000
committerJames Le Cuirot <chewi@gentoo.org>2016-11-26 22:22:09 +0000
commit5bfb1b1d5739d000f451a343e440335388a2ee49 (patch)
tree94ce8eb7ff01548cda4f8557fdbb3d29ff4501f5
parentdev-java/jackson-dataformat-yaml: Version bump to 2.8.5 (diff)
downloadgentoo-5bfb1b1d5739d000f451a343e440335388a2ee49.tar.gz
gentoo-5bfb1b1d5739d000f451a343e440335388a2ee49.tar.bz2
gentoo-5bfb1b1d5739d000f451a343e440335388a2ee49.zip
dev-java/jackson-dataformat-xml: Version bump to 2.8.5
Package-Manager: portage-2.3.2
-rw-r--r--dev-java/jackson-dataformat-xml/Manifest1
-rw-r--r--dev-java/jackson-dataformat-xml/jackson-dataformat-xml-2.8.5.ebuild72
2 files changed, 73 insertions, 0 deletions
diff --git a/dev-java/jackson-dataformat-xml/Manifest b/dev-java/jackson-dataformat-xml/Manifest
index bad7b13b94d..6290dc47a42 100644
--- a/dev-java/jackson-dataformat-xml/Manifest
+++ b/dev-java/jackson-dataformat-xml/Manifest
@@ -1,2 +1,3 @@
DIST jackson-dataformat-xml-2.5.1.tar.gz 90436 SHA256 e5281b076d11a689c485326a30eecd422c11c36578fcb344079ffbbe09f04aff SHA512 e780f28d650b843ab80710acd20ba67d74dc4c567633eb12e0b82102880bbd0d4cd2e9a0869587bb03a1038a1380076c174e04c7fdc1d1eaa2896bf36562967a WHIRLPOOL 8581d83343b09a009b9d9b0c3bb1e5f3e40e8c57a2dfd5eba7bdbd6804c52d2d1e35183995a7a6efcb61761843943f1231e0b61ef826d8d9190b216f4ca77f1a
DIST jackson-dataformat-xml-2.5.2.tar.gz 90449 SHA256 bc74843a0dcebf36a2274b965d5fed73ffe42766861b171174945effdedcb457 SHA512 c9e7851749a7807f99c5f6fd8c0a8563a3607073f68aa8a366559ac6929d0f0e6808f8f0001626182ba3647b6f8baad12459246268d67c32885c957e1ce5c63f WHIRLPOOL 17f3b6fa867852365e7d9fa3e0a75bee60cd0729af2c6d26b5e8c5f756237e22f507d44e103f647803bd12f06471ff4f6830c39e2817cc69bf1ddd6eee4ddde7
+DIST jackson-dataformat-xml-2.8.5.tar.gz 98385 SHA256 b28a3ebf380ce8eb6dbc48119fd827359519bd3e4311022983b595e572c92505 SHA512 ed93db9a44cacbe1638141b7336798ced03f7009da40e176b1eadcf38c83ac3bde3e2fa98efe3be1286a956db36393f925251b41a4adbc2b95d03ae6ef04b754 WHIRLPOOL 28ea218700c78e1b00f5eaea3b91d37cbcf3fc4aa602e410da1711ccd7070e347abc8ca2f2db809c3d8833fc8386a993e046b8de015e82421ff49ce60f107a83
diff --git a/dev-java/jackson-dataformat-xml/jackson-dataformat-xml-2.8.5.ebuild b/dev-java/jackson-dataformat-xml/jackson-dataformat-xml-2.8.5.ebuild
new file mode 100644
index 00000000000..d9ccfa9f319
--- /dev/null
+++ b/dev-java/jackson-dataformat-xml/jackson-dataformat-xml-2.8.5.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="XML data format extension for Jackson"
+HOMEPAGE="https://github.com/FasterXML/jackson-dataformat-xml"
+SRC_URI="https://github.com/FasterXML/${PN}/archive/${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="2"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="test" # Lots of failures, new Woodstox needed?
+
+CP_DEPEND="~dev-java/jackson-${PV}:${SLOT}
+ ~dev-java/jackson-annotations-${PV}:${SLOT}
+ ~dev-java/jackson-databind-${PV}:${SLOT}
+ ~dev-java/jackson-module-jaxb-annotations-${PV}:${SLOT}
+ dev-java/stax2-api:0"
+
+RDEPEND=">=virtual/jre-1.7
+ ${CP_DEPEND}"
+
+DEPEND=">=virtual/jdk-1.7
+ ${CP_DEPEND}
+ test? (
+ dev-java/hamcrest-core:1.3
+ dev-java/junit:4
+ )"
+
+S="${WORKDIR}/${PN}-${P}"
+JAVA_SRC_DIR="src/main/java"
+
+src_prepare() {
+ default
+
+ sed -e 's:@package@:com.fasterxml.jackson.dataformat.xml:g' \
+ -e "s:@projectversion@:${PV}:g" \
+ -e 's:@projectgroupid@:com.fasterxml.jackson.dataformat:g' \
+ -e 's:@projectartifactid@:jackson-dataformat-xml:g' \
+ "${JAVA_SRC_DIR}/com/fasterxml/jackson/dataformat/xml/PackageVersion.java.in" \
+ > "${JAVA_SRC_DIR}/com/fasterxml/jackson/dataformat/xml/PackageVersion.java" || die
+
+ java-pkg-2_src_prepare
+}
+
+src_compile() {
+ java-pkg-simple_src_compile
+ java-pkg_addres ${PN}.jar src/main/resources
+}
+
+src_install() {
+ java-pkg-simple_src_install
+ dodoc README.md release-notes/{CREDITS,VERSION}
+}
+
+src_test() {
+ cd src/test/java || die
+
+ local CP=".:../resources:${S}/${PN}.jar:$(java-pkg_getjars hamcrest-core-1.3,junit-4,${JAVA_GENTOO_CLASSPATH})"
+ local TESTS=$(find * -name "Test*.java" ! -path "*/failing/*")
+ TESTS="${TESTS//.java}"
+ TESTS="${TESTS//\//.}"
+
+ ejavac -cp "${CP}" -d . $(find * -name "*.java")
+ ejunit4 -classpath "${CP}" ${TESTS}
+}